/api/user/files
List, filter, and search files for the authenticated user (or another user if permitted).
GET
/api/user/filesQuery Parameters
page*number
perpage?number
Default
15filter?string
Default
"none"Value in
"dashboard" | "none" | "all"favorite?string
Value in
"true" | "false"sortBy?string
Default
"createdAt"Value in
"id" | "createdAt" | "updatedAt" | "deletesAt" | "name" | "originalName" | "size" | "type" | "views" | "favorite"order?string
Default
"desc"Value in
"asc" | "desc"searchField?string
Default
"name"Value in
"name" | "originalName" | "type" | "tags" | "id"searchQuery?string
id?string
folder?string
Response Body
application/json
application/json
{
"page": [
{
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletesAt": "2019-08-24T14:15:22Z",
"favorite": true,
"id": "string",
"originalName": "string",
"name": "string",
"size": 0,
"type": "string",
"views": 0,
"maxViews": 0,
"password": "string",
"folderId": "string",
"anonymous": true,
"thumbnail": {
"path": "string"
},
"tags": [
{
"id": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"name": "string",
"color": "string",
"files": [
{
"id": "string"
}
]
}
],
"url": "string",
"similarity": 0
}
],
"search": {
"field": "name",
"query": "string"
},
"total": 0,
"pages": 0
}{
"error": "E1000: Invalid request schema",
"code": 1000,
"statusCode": 400
}